---
title: "Solar power on camper"
date: 2020-08-10T20:39:45+02:00
draft: true
---

A project to add solar power to the VW T3 Joker 


**WikiToDo**

- Photograph panel specs  [x]
- Measure cables  [ ]
- Measure cables  [ ]


# Conditions
**Energy sources**
  - Starter battery
  - Leasure battery
  - Engine
  - 220 input

**Energy consumtion**
- Pentry fuse 16A
  - Fridge 85W
  - Indicator display (oklart men extremt lite. Letar efter källa) 
  - Waterpump (pentry)(12V 2A => 12*2=24W)
  - Fridge fan (0,6W)

**Other stuff**
  - Unsure about the fuse directly at the battery but should use one 8A
  - Battery charger type LG 20 

# The panel
**Specs**
  - 110 W
  - 18V rated voltage
 
# The MPPT
**Specs**
  - ESP32
  - Diod preventing the protective diods in the box at the back of the panel breaks if the panel is connected with the wrong polarityand preventing old/bad panels to discharge the battery when it is dark. Stuges test shows that this diod will be what limits the effect/power the chager can handle. With a load at 6A he measured 113 °C on the outside of the diod. The it is close to the max temperature (150 °C) on the inside. At a load at 6A he measured 100W in, the used panel in this project is 110W. This is working since the panel never produces 100%. But it is close to the limit if the chager is loaded at 6A. 

**Testprotocols & measurements**

Stuge 10 July (Stuge)
```
OpenMPPT

In 16V 0.96A  Out 1A 14.11V 14.11W  D6 Tterm=48.7°C N1
In 16V 1.88A  Out 2A 13.79V 27.57W  D6 Tterm=55.1°C N1
In 16V 2.80A  Out 3A 13.51V 40.53W  D6 Tterm=64.7°C N1
In 16V 3.71A  Out 4A 13.25V 53.01W  D6 Tterm=79.7°C N1
In 16V 4.62A  Out 5A 13.02V 65.12W  D6 Tterm=93.8°C N1
In 16V 5.53A  Out 6A 12.78V 76.70W  D6 Tterm=110.9°C N0

In 17V 0.96A  Out 1A 14.55V 14.55W  D6 Tterm=49.2°C N1
In 17V 1.89A  Out 2A 14.47V 28.93W  D6 Tterm=61.7°C N2
In 17V 2.82A  Out 3A 14.39V 43.16W  D6 Tterm=73.2°C N2
In 17V 3.77A  Out 4A 14.32V 57.27W  D6 Tterm=84.9°C N2
In 17V 4.74A  Out 5A 14.23V 71.16W  D6 Tterm=98.2°C N1
In 17V 5.62A  Out 6A 13.95V 83.76W  D6 Tterm=109.6°C N1

In 18V 0.91A  Out 1A 14.54V 14.54W  D6 Tterm=48.2°C N1
In 18V 1.79A  Out 2A 14.48V 28.95W  D6 Tterm=58.4°C N2
In 18V 2.67A  Out 3A 14.15V 43.15W  D6 Tterm=73.6°C N3
In 18V 3.56A  Out 4A 14.32V 57.27W  D6 Tterm=85.7°C N3
In 18V 4.47A  Out 5A 14.22V 71.44W  D6 Tterm=99.2°C N3
In 18V 5.39A  Out 6A 14.15V 84.84W  D6 Tterm=113.0°C N3

In 19V 0.88A  Out 1A 14.63V 14.63W  D6 Tterm=54.6°C N1
In 19V 1.70A  Out 2A 14.64V 29.27W  D6 Tterm=53.0°C N2
In 19V 2.54A  Out 3A 14.39V 43.15W  D6 Tterm=63.8°C N3
In 19V 3.39A  Out 4A 14.31V 57.28W  D6 Tterm=76.7°C N3
In 19V 4.23A  Out 5A 14.23V 71.18W  D6 Tterm=88.5°C N4
In 19V 5.11A  Out 6A 14.15V 84.87W  D6 Tterm=103.6°C N2

In 20V 0.83A  Out 1A 14.55V 14.54W  D6 Tterm=48.2°C N1
In 20V 1.63A  Out 2A 14.47V 28.94W  D6 Tterm=54.2°C N2
In 20V 2.43A  Out 3A 14.39V 43.17W  D6 Tterm=61.1°C N3
In 20V 3.24A  Out 4A 14.32V 57.28W  D6 Tterm=75.1°C N3
In 20V 4.02A  Out 5A 14.23V 71.18W  D6 Tterm=85.3°C N4
In 20V 4.84A  Out 6A 14.15V 84.88W  D6 Tterm=104.4°C N4
10. Jul., 09:26
```

**Elektra resources and similar**
  - https://github.com/ISEMS/ISEMS-ESP32
  - https://media.ccc.de/v/36c3-oio-166-ff-esp32-openmppt-new-freifunk-isems-mppt-solar-controller-with-integrated-wifi
  - https://www.isems.de/
  - https://isems.netlify.app/en/
  - https://media.ccc.de/v/35c3oio-63-independent-solar-energy-mesh-system

# The current setup
**Cables & connetors**
- Red/Black connectors (Powerpole 75) not water proof
- Panel connectors (MC4/H4) cannot hang unconnected in moist!
# Dictionary


| English  | Swedish  | German |
| -------- | -------- | -------- |
| Rated voltage | Nominell spänning/märksmänning     | ?     |
| Alternator | Generator     | Lichmachine    |